> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the Job

> Update job configuration for a specific application



## OpenAPI

````yaml /openapi/product/remote-datastats-api.yaml put /v1/applications/{applicationId}/jobs/{jobId}
openapi: 3.0.3
info:
  title: Domo Remote Domostats API
  description: >
    This API provides access to retrieve information about applications and jobs
    within the Domo environment. It includes methods to fetch a list of
    applications, view job details for specific applications, and update job
    configurations.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Remote Domostats API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /v1/applications/{applicationId}/jobs/{jobId}:
    put:
      tags:
        - Remote Domostats API
      summary: Update the Job
      description: Update job configuration for a specific application
      operationId: updateJob
      parameters:
        - name: Application_Id
          in: path
          required: true
          schema:
            type: string
          description: ID of the application
          example: 50e7230f-d2f2-42e2-a208-d94c8ae9f64c
        - name: Job_Id
          in: path
          required: true
          schema:
            type: string
          description: ID of the job to update
          example: 526906bb-e7e0-4f70-9ca0-3bb4fdf99c82
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JobUpdateRequest'
            example:
              jobId: 526906bb-e7e0-4f70-9ca0-3bb4fdf99c82
              jobName: domo-labs-dev2.dev.domo.com
              executionTimeout: 720
              executionPayload:
                remoteInstance: domo-labs-dev.dev.domo.com
                subscriberJobId: b8ff1dc6-4426-4256-8176-1cb9482e79c0
                policies:
                  AccessTokens: 85f65936-e0c3-4e74-8398-13096df9bdb3
                  DomainWhitelist: cd473383-9589-4d44-a85a-ffd58c0b1d55
                  IPWhitelist: 6f570767-ec10-4d9b-b0f2-abb0bf1bd8d2
                  OIDC: d26a1d1e-a6c0-4367-b929-70a6e01e5b46
                  SAML: 081d8320-c6df-4d0b-8802-97875989236d
                  DirectSignOn: 7b1f43e1-165d-4eed-b195-491a6bedcef0
                metricsDatasetId: 2644b5d0-344b-4bc0-b379-d3854923a29c
              executionResponse: {}
              accounts:
                - 479
              resources:
                requests:
                  memory: 256M
                limits:
                  memory: 256M
              triggers: []
      responses:
        '200':
          description: Job updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateResponse'
components:
  schemas:
    JobUpdateRequest:
      type: object
      required:
        - jobId
        - jobName
      properties:
        jobId:
          type: string
          description: Job ID
          example: 526906bb-e7e0-4f70-9ca0-3bb4fdf99c82
        jobName:
          type: string
          description: Job name
          example: domo-labs-dev2.dev.domo.com
        executionTimeout:
          type: integer
          description: Execution timeout in seconds
          example: 720
        executionPayload:
          $ref: '#/components/schemas/ExecutionPayload'
        executionResponse:
          type: object
          description: Execution response
          additionalProperties: true
        accounts:
          type: array
          items:
            type: integer
          description: List of account IDs
          example:
            - 479
        resources:
          $ref: '#/components/schemas/Resources'
        triggers:
          type: array
          items:
            type: object
          description: List of triggers
          example: []
    UpdateResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: OK
        code:
          type: integer
          description: HTTP status code
          example: 200
        message:
          type: string
          description: Response message
          example: Job updated successfully
    ExecutionPayload:
      type: object
      properties:
        remoteInstance:
          type: string
          description: Remote instance URL
          example: domo-labs-dev.dev.domo.com
        subscriberJobId:
          type: string
          description: Subscriber job ID
          example: b8ff1dc6-4426-4256-8176-1cb9482e79c0
        policies:
          $ref: '#/components/schemas/Policies'
        metricsDatasetId:
          type: string
          description: Metrics dataset ID
          example: 2644b5d0-344b-4bc0-b379-d3854923a29c
    Resources:
      type: object
      properties:
        requests:
          $ref: '#/components/schemas/ResourceAllocation'
        limits:
          $ref: '#/components/schemas/ResourceAllocation'
    Policies:
      type: object
      properties:
        AccessTokens:
          type: string
          description: Access tokens policy ID
          example: 85f65936-e0c3-4e74-8398-13096df9bdb3
        DomainWhitelist:
          type: string
          description: Domain whitelist policy ID
          example: cd473383-9589-4d44-a85a-ffd58c0b1d55
        IPWhitelist:
          type: string
          description: IP whitelist policy ID
          example: 6f570767-ec10-4d9b-b0f2-abb0bf1bd8d2
        OIDC:
          type: string
          description: OIDC policy ID
          example: d26a1d1e-a6c0-4367-b929-70a6e01e5b46
        SAML:
          type: string
          description: SAML policy ID
          example: 081d8320-c6df-4d0b-8802-97875989236d
        DirectSignOn:
          type: string
          description: Direct sign-on policy ID
          example: 7b1f43e1-165d-4eed-b195-491a6bedcef0
    ResourceAllocation:
      type: object
      properties:
        memory:
          type: string
          description: Memory allocation
          example: 256M
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````